<?php
/* 
	Appointment: Подключение модулей
	File: mod.php 
 
*/
if(!defined('MOZG'))
	die('Hacking attempt!');

if(isset($_GET['go']))
	$go = htmlspecialchars(strip_tags(stripslashes(trim(urldecode(mysql_escape_string($_GET['go']))))));
else
	$go = "main";

$mozg_module = $go;

check_xss();

switch($go){
	
	//Регистрация
	case "signup":
		include ENGINE_DIR.'/modules/signup.php';
	break;
	
	//Регистрация
	case "signup_finish":
		include ENGINE_DIR.'/modules/signup_finish.php';
	break;
	
	//Профиль пользователя
	case "profile":
		include ENGINE_DIR.'/modules/profile.php';
	break;
	
	//Редактирование моей страницы
	case "editprofile":
		include ENGINE_DIR.'/modules/editprofile.php';
	break;
	
	//Загрузка городов
	case "loadcity":
		include ENGINE_DIR.'/modules/loadcity.php';
	break;
	
	//Альбомы
	case "albums":
		if($config['album_mod'] == 'yes')
			include ENGINE_DIR.'/modules/albums.php';
		else {
			msgbox('', 'Сервис отключен.', 'info');
		}
	break;
	
	//Просмотр фотографии
	case "photo":
		include ENGINE_DIR.'/modules/photo.php';
	break;
	
	//Друзья
	case "friends":
		include ENGINE_DIR.'/modules/friends.php';
	break;
	
	//Закладки
	case "fave":
		include ENGINE_DIR.'/modules/fave.php';
	break;
	
	//Сообщения
	case "messages":
		include ENGINE_DIR.'/modules/messages.php';
	break;
	
	//Подписки
	case "following":
		include ENGINE_DIR.'/modules/following.php';
	break;
	
	//Видео
	case "videos":
		if($config['video_mod'] == 'yes')
			include ENGINE_DIR.'/modules/videos.php';
		else {
			msgbox('', 'Сервис отключен.', 'info');
		}
	break;
	
	//Поиск
	case "search":
		include ENGINE_DIR.'/modules/search.php';
	break;
	
	//Стена
	case "wall":
		include ENGINE_DIR.'/modules/wall.php';
	break;
		
	//Новости
	case "news":
		include ENGINE_DIR.'/modules/news.php';
	break;
	
	//Настройки
	case "settings":
		include ENGINE_DIR.'/modules/settings.php';
	break;
	
	//Воостановление доступа
	case "restore":
		include ENGINE_DIR.'/modules/restore.php';
	break;
	
	//Загрузка картинок при прикриплении файлов со стены, заметок, или сообщений
	case "attach":
		include ENGINE_DIR.'/modules/attach.php';
	break;

	//Жалобы
	case "report":
		include ENGINE_DIR.'/modules/report.php';
	break;

	//Отправка записи в сообщество или другу
	case "repost":
		include ENGINE_DIR.'/modules/repost.php';
	break;
	
	//Выбор языка
	case "languages":
		include ENGINE_DIR.'/modules/languages.php';
	break;

		default:
			
				if($go != 'main')
					msgbox('', $lang['no_str_bar'], 'info');
}

?>